{% extends 'company_location_management/looking_for_property_request/overview.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/overview_active') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/overview_active') }}
{% endblock %}

{% block main %}
    {% set noEntriesText = 'Leider stehen aktuell keine aktiven Gesuche zur Verfügung' %}

    {% if lookingForPropertyRequestSearchForm.vars.data.getText() != null %}
        {% set noEntriesText = noEntriesText ~ ', die Ihren Suchkriterien entsprechen' %}
    {% elseif lookingForPropertyRequestFilter.isFilterActive() %}
        {% set noEntriesText = noEntriesText ~ ', die Ihren Filterkriterien entsprechen' %}
    {% endif %}

    <div class="container-fluid mt-4">
        {% set actionChoices = [] %}

        {% if is_granted('ROLE_USER') == true or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') == true or is_granted('ROLE_PROPERTY_SEEKER') == true %}
            {% set actionChoices = actionChoices|merge([
                {'label': 'Laufzeit um 1 Monat verlängern', 'value': path('company_location_management_looking_for_property_request_mass_operation_extend_duration')},
            ]) %}

            {% if is_granted('ROLE_USER') == true %}
                {% set actionChoices = actionChoices|merge([
                    {'label': 'Sachbearbeiter:in zuweisen', 'value': path('company_location_management_looking_for_property_request_mass_operation_assign_to_account_user')},
                ]) %}
            {% endif %}

            {% set actionChoices = actionChoices|merge([
                {'label': 'Archivieren', 'value': path('company_location_management_looking_for_property_request_mass_operation_archive')},
                {'label': 'Löschen', 'value': path('company_location_management_looking_for_property_request_mass_operation_delete')},
            ]) %}
        {% endif %}

        <div class="mdc-card mb-4">
            {% include 'company_location_management/component/looking_for_property_request/looking_for_property_request_list_component.html.twig' with {
                'idPrefix': 'looking_for_property_request_',
                'listItems': lookingForPropertyRequests,
                'showActionButton': true,
                'massOperation': (is_granted('ROLE_USER') == true or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') == true or is_granted('ROLE_PROPERTY_SEEKER') == true),
                'pagination': true,
                'sortable': true,
                'noEntriesText': noEntriesText,
                'actionChoices': actionChoices
            } only %}
        </div>
    </div>
{% endblock %}
